#!/bin/bash
#####################################
# Manage du concentrateur VPN
# Mode Dialog
# Avec ou sans PKI
# MultiTunnel (12/2004)
# LB 01/2003 Eole Dijon
# $Id: reseau-sphynx.sh,v 1.3 2005/01/13 15:53:09 sam Exp $
#######################################
# Initialisation des variables
# Avec verification dans l'Environnement
RepEole=${RepEole="/usr/share/eole"}
RepIpsec=${RepIpsec=/etc/freeswan}
RepSphynx=${RepSphynx=/usr/share/eole/sphynx-vpn}
LgCle=${LgCle=2048}
PKI=0

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
export ECHO=InfoBox2
fi
#service gpm status >/dev/null
#if [ $? -ne 0 ]
#then
#	NOMOUSE="--nomouse"
	NOMOUSE=""
#fi

TitreGen="Eole  -  Gestion Reseaux Sphynx"
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

Question()
{
InputBox "$1" Rep
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
continue
fi
}
Questions()
{
InputBox "$1" Rep "$3"
if [ "$Rep" == "CANCEL" ] 
then
Zecho "Abandon"	
continue
fi
## On test si le contenu de la reponse n'est pas vide
if [ -n "$Rep" ]
then
	echo "'$2':'$Rep',         " >> $FileCfg
fi
}


#OkBox "Manage Base Sphynx\n\nPour Vous Deplacer sur l'Ecran\nUtiliser votre Souris\nOu la touche tabulation.\n\n   Vous pouvez ABANDONNER \nen pressant la touche <Echap>"
#if [ "$?" -eq 255 ]
#then
	#exit 1
#fi
	
FileCfg="$Tmp/Sphynx$TmpSuff"
TmpFile="$Tmp/Tmp$TmpSuff"
touch $FileCfg
touch $TmpFile


Rep=""
while [ 1 ]
do
MenuBox "Votre Choix"  Rep "1 Ajouter_Reseaux 2 Effacer_Reseaux 3 Lister_les_reseaux Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
case $Rep in
	1) 
	# Ajout Reseau
	echo "{"> $FileCfg
        Questions "Nom reseau Sphynx Cible" "nom"	
        Questions "IP  reseau Sphynx Cible  " "rightsubnet"	
        Questions "Netmask de ce reseau " "rightsubnet_masque"	
        #Questions "Ip de l'interface externe Sphynx (ou rien)" "right"	
        #Questions "Ip du routeur externe Sphynx (ou rien)" "rightnexthop"	
	echo "}">> $FileCfg
	dialog $NOMOUSE --title " <ESC> pour annuler"  --exit-label "Accepter" --textbox $FileCfg 0 0
	if [ "$?" -eq 255 ]
        then
	continue 
        fi
	OkBox "` $RepSphynx/tunnel/tunnel --sphynx-reseau-add $FileCfg  2>&1`"
	;;

	2)
	# Supp Reseau
	#Question "Identifiant Reseau Sphynx"  
	Liste=` $RepSphynx/tunnel/tunnel --sphynx-reseau-list| sed 's/ /_/g; s/_/ /'`    
        MenuBox "Votre Choix"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	Id=$Rep;
	QuestionBox "Effacer  $Id" Rep
	if [ $Rep ==  "OUI" ]
	then
	OkBox "` echo Suppression $Id; $RepSphynx/tunnel/tunnel --sphynx-reseau-delete  $Id  2>&1`"
        fi
	;;

	3)
	# Liste Reseaux
	echo "Identifiant  Nom        " >$TmpFile
	 $RepSphynx/tunnel/tunnel --sphynx-reseau-list   >>$TmpFile  2>&1
        dialog $NOMOUSE --title "Resultat"  --exit-label "Retour" --textbox $TmpFile 0 0
	;;

	Q)
	exit 0
	;;

esac
done
