package GenAcadCfg ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: GenAcadCfg.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/GenAcadCfg.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)


BEGIN {

  push @INC , '/usr/share/eole/sphynx-vpn/prompt';  

}




=pod

=head1 NOM



GenAcadCfg



=cut




=pod

=head1 DESCRIPTION



Gnration du fichier de configuration de donnes acadmique (sphynx).



=cut




=pod

=head1 SYNOPSIS



use GenAcadCfg ;



=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<Template>

=cut

use Template ;



=pod

=back



=cut





=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut




=pod


=item I<$GenAcadCfg::fichier>

nom du fichier de configuration renseign par paramtre

=cut

our $fichier ;



=pod


=item I<$GenAcadCfg::passerelle>

numro identifiant

=cut

our $passerelle ;




=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut





=pod

=back

=cut



# donnes  insrer dans le template tt2 

my %data = ( 
	     'passerelle' => $passerelle
	     ,'ip_externe' => $PromptIpsecAcad::ip_externe
	     ,'ip_routeur' => $PromptIpsecAcad::ip_routeur
	     ,'adresse_sous_reseau' => $PromptIpsecAcad::adresse_sous_reseau
	     ,'masque' => $PromptIpsecAcad::masque
	   ) ;

#############################################################################

# cration du fichier de configuration 

my $tt_cfg = Template->new({
	RELATIVE => 1,
        ABSOLUTE => 1,
    });

my $modele_cfg = '/usr/share/eole/sphynx-vpn/tt2/acad_cfg.tt2' ;



# dclaration du fichier de configuration cible 
our $sortie_cfg ;

if ( defined( $fichier ) ) 
{
    # si le fichier de configuration est renseign, rcuprer le nom
    $sortie_cfg = $fichier ;

} else  # sinon, prendre un nom par dfaut (acad.cfg)
{
 
    $sortie_cfg = '/usr/share/eole/sphynx-vpn/cfg/acad.cfg' ;

}

$tt_cfg->process( $modele_cfg , \%data, $sortie_cfg )
        || die $tt_cfg->error;




=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package GenAcadCfg ;
#
use strict ;
#

# tester ce module revient  voir si aprs le lancement, le fichier acad.cfg 
# a bien t modifi.


