package GenAcadXML ;

use Mode ;


#
# use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.7 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: GenAcadXML.pm,v 1.7 2005/01/14 12:47:10 eole Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/GenAcadXML.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



GenAcadXML



=cut




=pod

=head1 DESCRIPTION



Gnration du fichier xml de donnes propres  l'acadmie.



=cut




=pod

=head1 SYNOPSIS



 use GenAcadXML ;



=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<Template>

=cut

use Template ;



=pod

=item I<AppConfig qw(:expand :argcount)>

=cut

use AppConfig qw(:expand :argcount) ;



=pod

=back



=cut





=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut




=pod


=item I<$GenAcadXML::fichier>

nom du fichier de configuration renseign par paramtre

=cut

our $fichier ;



=pod


=item I<$GenAcadXML::clef_rsa>

dclaration de la variable calcule contenant la clef RSA

=cut

our $clef_rsa ;



=pod


=item I<$GenAcadXML::clef_publique>

dclaration de la variable calcule contenant la clef publique

=cut

our $clef_publique ;




=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut





=pod

=back

=cut


my $config = AppConfig->new(
			    'technique_passerelle' => { ARGCOUNT => 1 }
			    , 'technique_ip_externe' => { ARGCOUNT => 1 }
			    , 'technique_ip_redondee' => { ARGCOUNT => 1 }
			    , 'technique_ip_routeur' => { ARGCOUNT => 1 }
			    , 'technique_adresse_sous_reseau' => { ARGCOUNT => 1 }
			    , 'technique_masque' => { ARGCOUNT => 1 }
			    , 'technique_url_crl1' => { ARGCOUNT => 1 }
			    , 'technique_url_crl2' => { ARGCOUNT => 1 }
                            ) ;

# rcupration des donnes de configuration (fichiers .cfg)
if ( defined( $fichier ) ) 
{
    # si le fichier de configuration est renseign, rcuprer le nom
    $config->file( $fichier );

} else  # sinon, prendre le nom par dfaut (acad.cfg)
{
 
    $config->file('/usr/share/eole/sphynx-vpn/cfg/acad.cfg');

}

# donnes  insrer dans le fichier xml

# construction de l'identifiant sphynx pour la creation 
$trs_passerelle = $config->technique_passerelle() ; 

use Mode ;
if ( Mode::get_mode() eq "normal" ) { 

if ($trs_passerelle =~/\./) {

    my @vect_identifiant = split(/\./, $trs_passerelle,) ;
    $id_sphynx = $vect_identifiant[0] ; 


} } else {


    if ($trs_passerelle =~/\/CN=/) {
    
        my @vect_identifiant = split(/\/CN=/, $trs_passerelle,) ;
        $id_sphynx = $vect_identifiant[1] ; 
    
    
    } else {
    
        $id_sphynx = $trs_passerelle ;
    }
}


my %data = ( 
	     'passerelle' => $trs_passerelle
	     ,'id_sphynx' => $id_sphynx 
	     ,'ip_externe' =>  $config->technique_ip_externe()
	     ,'ip_redondee' =>  $config->technique_ip_redondee()
	     ,'ip_routeur' =>  $config->technique_ip_routeur()
	     ,'adresse_sous_reseau' =>  $config->technique_adresse_sous_reseau()
	     ,'masque' =>  $config->technique_masque()
 	     ,'contenu_clef_rsa' =>  $clef_rsa
 	     ,'clef_publique' =>  $clef_publique
	     ,'url_crl1' =>  $config->technique_url_crl1()
	     ,'url_crl2' =>  $config->technique_url_crl2()
	   ) ;

# cration du fichier xml d'tablissement 
# il nous faut un path pour pouvoir rcuprer le doctype 

my $tt_xml = Template->new({
    INCLUDE_PATH => '/usr/share/eole/sphynx-vpn/tt2',
	RELATIVE => 1,
	ABSOLUTE => 1,
    PRE_PROCESS  => 'config',
    });

my $modele_xml = 'acad.tt2' ;
my $sortie_xml = '/usr/share/eole/sphynx-vpn/tmp/acad.tmp';

$tt_xml->process($modele_xml , \%data, $sortie_xml)
        || die $tt_xml->error;

print " \n termine. \n" ;

#############################################################################




=pod

=head1 TODO



OK



=cut





=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

