package GenEtabXML ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: GenEtabXML.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/GenEtabXML.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



GenEtabXML



=cut




=pod

=head1 DESCRIPTION



Gnration du fichier xml de donnes propres  un tablissement.



=cut




=pod

=head1 SYNOPSIS



TODO



=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<Template>

=cut

use Template ;



=pod

=item I<AppConfig qw(:expand :argcount)>

=cut

use AppConfig qw(:expand :argcount) ;



=pod

=back



=cut





=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut




=pod


=item I<$GenEtabXML::fichier>

nom du fichier de configuration renseign par paramtre

=cut

our $fichier ;



=pod


=item I<$GenEtabXML::clef_rsa>

dclaration de la variable calcule contenant la clef RSA

=cut

our $clef_rsa ;



=pod


=item I<$GenEtabXML::clef_publique>

dclaration de la variable calcule contenant la clef publique

=cut

our $clef_publique ;




=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut





=pod

=back

=cut


my $config = AppConfig->new(
                            'administration_nom' => { ARGCOUNT => 1 }
                            , 'administration_id' => { ARGCOUNT => 1 }
			    , 'technique_passerelle' => { ARGCOUNT => 1 }
			    , 'technique_version' => { ARGCOUNT => 1 }
			    , 'technique_ip_externe' => { ARGCOUNT => 1 }
			    , 'technique_ip_routeur' => { ARGCOUNT => 1 }
			    , 'technique_adresse_sous_reseau' => { ARGCOUNT => 1 }
			    , 'technique_masque' => { ARGCOUNT => 1 }
                            , 'technique_nat' => { ARGCOUNT => 1 }
                            , 'technique_translation' => { ARGCOUNT => ARGCOUNT_LIST }
                            , 'technique_ip_priv_amon' => { ARGCOUNT => 1 }
                            , 'technique_ip_priv_routeur' => { ARGCOUNT => 1 }
                            , 'technique_priv_nat' => { ARGCOUNT => 1 }
                            ) ;

# rcupration des donnes de configuration (fichiers .cfg)
if ( defined( $fichier ) ) 
{
    # si le fichier de configuration est renseign, rcuprer le nom
    $config->file( $fichier );

} else  # sinon, prendre le nom par dfaut (acad.cfg)
{
 
    $config->file('/usr/share/eole/sphynx-vpn/cfg/etab.cfg');

}

my $trs = $config->technique_translation() ;

# print ref( $trs ) ;

my @translation = () ;

foreach my $item (@$trs) {

    # nous rcuprons les donnes de source et de destination de la translation

    my @splitage  = split ( ':' , $item ) ;

    my $src = @splitage[0] ;
    my $dest = @splitage[1] ;

    my %src_dest = ( 'source' => $src , 'destination' => $dest ) ;
    
    push ( @translation , \%src_dest ) ;

}

# donnes  insrer dans le fichier xml

my %data = ( 
	     'passerelle' => $config->technique_passerelle()
	     ,'version' => $config->technique_version()
	     ,'nom' =>  $config->administration_nom()
	     ,'ip_externe' =>  $config->technique_ip_externe()
	     ,'ip_routeur' =>  $config->technique_ip_routeur()
	     ,'adresse_sous_reseau' =>  $config->technique_adresse_sous_reseau()
	     ,'masque' =>  $config->technique_masque()
	     ,'id' =>  $config->administration_id()
 	     ,'nat' => $config->technique_nat()
             ,'ip_priv_amon' =>  $config->technique_ip_priv_amon()
             ,'ip_priv_routeur' =>  $config->technique_ip_priv_routeur()
             ,'priv_nat' =>  $config->technique_priv_nat()
 	     ,'contenu_clef_rsa' =>  $clef_rsa
 	     ,'clef_publique' =>  $clef_publique
  	     ,'translation' =>  \@translation
	   ) ;

# cration du fichier xml d'tablissement 

my $tt_xml = Template->new({
	RELATIVE => 1,
        ABSOLUTE => 1,
    });

my $modele_xml = '/usr/share/eole/sphynx-vpn/tt2/etab.tt2' ;
my $sortie_xml = '/usr/share/eole/sphynx-vpn/tmp/etab.tmp';

$tt_xml->process($modele_xml , \%data, $sortie_xml)
        || die $tt_xml->error;

print " \n termine. \n" ;

#############################################################################




=pod

=head1 TODO



les donnes : 
	     ,'contenu_clef_rsa' =>  $config->cryptage_contenu_clef_rsa()
	     ,'clef_publique' =>  $config->cryptage_clef_publique()
 insrer dans le xml ne sont plus renseignes.



=cut





=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

