package XSL ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: XSL.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/XSL.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



XSL



=cut




=pod

=head1 DESCRIPTION



Wrapper simple de la libXSLT de Daniel Veillard.



=cut




=pod

=head1 SYNOPSIS



use XSL;

my $xsl = XSL->new(

		  'fichier_xml' => "./fichier.xml"

		, 'fichier_xsl' => "./fichier.xsl"

		, 'fichier_dest' => "./fichier.txt"

		);

$xsl->transforme() ;




=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<XML::LibXML>

=cut

use XML::LibXML ;



=pod

=item I<XML::LibXSLT>

=cut

use XML::LibXSLT ;



=pod

=back



=cut




=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<new>

Constructeur de la classe XSL

=cut

sub new
{


        my($class)  = shift;

        my(%params) = @_;
    

        bless {

	      "fichier_xml" => $params{"fichier_xml"}
	    , "fichier_xsl" => $params{"fichier_xsl"}
	    , "fichier_dest" => $params{"fichier_dest"}

	}, $class ;


}


=pod

=item I<transforme>

Transformation d'un fichier xml  l'aide d'une feuille de style xslt

=cut

sub transforme
{



    my($self)  = shift;

    my $parser = XML::LibXML->new() ;
    my $xslt = XML::LibXSLT->new() ;
    
    my $source = $parser->parse_file( $self->{'fichier_xml'} ) ;
    my $style_doc = $parser->parse_file( $self->{'fichier_xsl'} ) ;
    
    my $stylesheet = $xslt->parse_stylesheet( $style_doc ) ;

#   my $results = $stylesheet->transform( $source, %parametres ) ;

#   my $results = $stylesheet->transform( $source, %{$self->{'parametres'}} ) ;

    my $results = $stylesheet->transform( $source ) ;
    
    $stylesheet->output_file( $results, $self->{'fichier_dest'} ) ;



}





=pod

=head1 TODO



Implmenter la gestion des paramtres.



=cut





=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut








=pod

=back

=cut


eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package XSL ;
#
use strict ;
#

# TODO


