package InterfacePrompt ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: InterfacePrompt.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/prompt/InterfacePrompt.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



InterfacePrompt



=cut




=pod

=head1 DESCRIPTION



Utilitaires rudimentaires pour la manipulation de donnes issues du prompt,
fonctions de vrification de la saisie et de rcupration.



=cut




=pod

=head1 SYNOPSIS




# pour la saisie :

$id_etab = InterfacePrompt::saisie ( "Posez votre question : " ) ;

# pour la vrification :

while ( InterfacePrompt::verif( $id_etab ) )  
{
    $id_etab = InterfacePrompt::saisie ( "Posez votre question : " ) ;
}




=cut





=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<saisie>

Affiche une expliquation et rcupre la saisie.

=cut

sub saisie
{


   my $texte_expliquation = shift ;

   print "\n".$texte_expliquation."\n" ;

   my $saisie  = <STDIN> ;    

   chomp($saisie) ;

   return $saisie ;



}


=pod

=item I<verif>


Utilitaires rudimentaires pour la manipulation de donnes issues du prompt,
fonctions de vrification de la saisie et de rcupration.


=cut

sub verif
{


    my $verification = shift ;

    if ($verification eq "") 
    {
	print STDERR "\nErreur de saisie : vous devez entrer une reponse...\n";
	
	return 1 # renvoie vrai (il faut faire la vrification) ; 

    } else {

    return 0 # renvoie faux si tout va bien...; 

    }


}




=pod

=back

=cut





=pod

=head1 NOTES



Comme ces fonctions taient trs utilises, nous en avons fait un petit package.



=cut






=pod

=head1 TODO



Pour l'instant, pas de vrification de ce qui a t saisi...



=cut





=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__


#################### TESTS #########################
package InterfacePrompt ;
#
use strict ;
#


my $id_etab ;

# Saisie

$id_etab = InterfacePrompt::saisie ("Saisissez le nom 'toto' : " );

while (InterfacePrompt::verif($id_etab))  
{

$id_etab = InterfacePrompt::saisie ("Saisissez le nom 'toto' : " );    

};

use Test::More tests => 1;
is($id_etab , 'toto' , 'saisie du nom : toto') ;


