package PromptIpsecEtab ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: PromptIpsecEtab.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/prompt/PromptIpsecEtab.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



PromptIpsecEtab



=cut




=pod

=head1 DESCRIPTION



Interface de saisie (au prompt) des donnes propres  un tablissement.



=cut




=pod

=head1 SYNOPSIS



Module de saisie ligne de Commande des donnes tablissement.



=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<InterfacePrompt>

=cut

use InterfacePrompt ;



=pod

=item I<Copyright>

=cut

use Copyright ;



=pod

=back



=cut





=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut




=pod


=item I<$PromptIpsecEtab::saisie>

buffer d'entre stdin

=cut

our $saisie ;



=pod


=item I<$PromptIpsecEtab::passerelle>

passerelle

=cut

our $passerelle ;



=pod


=item I<$PromptIpsecEtab::nom>

nom de l'tablissement

=cut

our $nom ;



=pod


=item I<$PromptIpsecEtab::ip_externe>

adresse ip externe

=cut

our $ip_externe ;



=pod


=item I<$PromptIpsecEtab::ip_routeur>

adresse ip du routeur

=cut

our $ip_routeur ;



=pod


=item I<$PromptIpsecEtab::adresse_sous_reseau>

adresse ip du sous rseau

=cut

our $adresse_sous_reseau ;



=pod


=item I<$PromptIpsecEtab::masque>

masque

=cut

our $masque ;



=pod


=item I<$PromptIpsecEtab::id>

numro identifiant de l'tablissement

=cut

our $id ;



=pod


=item I<$PromptIpsecEtab::nat>

adresse de translation

=cut

our $nat ;




=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut





=pod

=back

=cut


# print "\nCe programme vous permet de construire une configuration vpn pour un etablissement\n\n" ;

# On dfinit le message de version et de copyright.
my $description = "Ce programme vous permet de construire une configuration vpn pour un etablissement\n" ;
print $description ;

# Saisie du nom de l'tablissement 

$nom = InterfacePrompt::saisie ("Saisissez le nom de l'etablissement cible (utilise pour des commentaires) : " );

while (InterfacePrompt::verif($nom))  
{

$nom = InterfacePrompt::saisie ("Saisissez le nom de l'etablissement cible (utilise pour des commentaires) : " );    

};

# l'adresse ip externe 

$ip_externe = InterfacePrompt::saisie("Saisissez la valeur de l'adresse ip externe de la passerelle VPN de l'etablissement : ");

while ( InterfacePrompt::verif($ip_externe)) 
{

$ip_externe = InterfacePrompt::saisie("Saisissez la valeur de l'adresse ip externe de la passerelle VPN de l'etablissement : ");

}

# l'adresse ip du routeur 


$ip_routeur = InterfacePrompt::saisie("Saisissez la valeur de l'adresse ip du routeur de l'etablissement : ");

while ( InterfacePrompt::verif($ip_routeur)) 
{

$ip_routeur = InterfacePrompt::saisie("Saisissez la valeur de l'adresse ip du routeur de l'etablissement : ");

}

# l'adresse du sous-rseau de l'tablissement : 

$adresse_sous_reseau = InterfacePrompt::saisie( "Saisissez la valeur de l'adresse du sous reseau de l'etablissement \n que vous voulez faire passer par le tunnel VPN : " );

while ( InterfacePrompt::verif($adresse_sous_reseau)) 
{

$adresse_sous_reseau = InterfacePrompt::saisie( "Saisissez la valeur de l'adresse du sous reseau de l'etablissement \n que vous voulez faire passer par le tunnel VPN : " );

}

# le masque du sous rseau tablissement : 

$masque = InterfacePrompt::saisie( "Saisissez la valeur du masque du sous reseau de l'etablissement\n que vous voulez faire passer par le tunnel VPN : " ) ;

while ( InterfacePrompt::verif($masque) ) 
{

$masque = InterfacePrompt::saisie( "Saisissez la valeur du masque du sous reseau de l'etablissement \nque vous voulez faire passer par le tunnel VPN : " );

}


# l'attribut nat de la balise left :

$nat = InterfacePrompt::saisie( "Saisissez la valeur de l'adresse de translation pour le pare-feu : " ) ;

while ( InterfacePrompt::verif($nat) ) 
{

$nat = InterfacePrompt::saisie( "Saisissez la valeur de l'adresse de translation pour le pare-feu : " );

}
# donnes relatives  d'ventuelles translations 

require PromptIpsecTranslation ;

# fin de la saisie des donnes 



=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package PromptIpsecEtab ;
#
use strict ;
#

use InterfacePrompt ;

print "constatez la validit de vos diffrentes saisies" ;
print "\n" ;
print $saisie ; # buffer d'entre stdin
print "\n" ;
print $passerelle ; 
print "\n" ;
print $nom ;
print "\n" ;
print $ip_externe ;
print "\n" ;
print $ip_routeur ;
print "\n" ;
print $adresse_sous_reseau ;
print "\n" ;
print $masque ; 
print "\n" ;
print $id ; # numero identifiant
print "\n" ;


