package PromptIpsecTranslation ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: PromptIpsecTranslation.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/prompt/PromptIpsecTranslation.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)


# prsentation du module



=pod

=head1 NOM



PromptIpsecTranslation



=cut




=pod

=head1 DESCRIPTION



Questions en boucles pour renseigner les donnes de translation



=cut




=pod

=head1 SYNOPSIS



#    require PromptIpsecTranslation ;
Renvoie le vecteur @PromptIpsecTranslation::translation contenant les donnes de translation au format source:destination



=cut




# fin prsentation du module
# dclaration des prrequis

=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<InterfacePrompt>

=cut

use InterfacePrompt ;



=pod

=back



=cut



# fin dclaration des prrequis
# dclaration des variables utilises

=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut





=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut




=pod

=item I<$translation_saisie>

Variable de rptition de saisie pour la translation

=cut

my $translation_saisie ;



=pod

=item I<$de_vers>

Concatnation des variables de source et de destination

=cut

my $de_vers ;



=pod

=item I<$de>

Source de translation

=cut

my $de ;



=pod

=item I<$vers>

Destination de translation

=cut

my $vers ;




=pod

=back

=cut


# nous dclarons le vecteur des donnes de translation 
# ( qui peut ventuellement vide )

our @translation = () ;


$translation_saisie = InterfacePrompt::saisie("Voulez-vous renseigner une translation (O/n) ?") ;

if ( $translation_saisie eq "O" || $translation_saisie eq "o" || $translation_saisie eq "oui" || $translation_saisie eq "Oui" ) {

    while ( $translation_saisie eq "O" || $translation_saisie eq "o" || $translation_saisie eq "oui" || $translation_saisie eq "Oui" )  {
    
            $de = InterfacePrompt::saisie("Translation de : ") ;
            while ( InterfacePrompt::verif($de)) 
            {
                $de = InterfacePrompt::saisie("Translation de :") ;    
            }

            $vers = InterfacePrompt::saisie("Translation vers : ") ;
            while ( InterfacePrompt::verif($vers)) 
            {
                $vers = InterfacePrompt::saisie("Translation vers :") ;    
            }

            # nous concatnons les deux variables, source:destination
            $de_vers = $de.":".$vers  ;

            push ( @translation , $de_vers ) ;

            $translation_saisie = InterfacePrompt::saisie("Voulez-vous renseigner de nouvelles valeurs de translation (O/n) ?") ;    
    
    }
}




=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package PromptIpsecTranslation ;
#
use strict ;
#

use Data::Dumper ;
print "les valeurs saisies sont : \n" ;
print Dumper ( @translation ) ;


