# -*- coding: iso-8859-1 -*-
"""
Module de gestion des exceptions

"""

class SphynxError(Exception):
    """
    Erreur sphynx gnrique
    """
    pass

class FileError(Exception):
    """
    Pb avec le fichier sphynx
    NOTE : ne pas enlever -- utilis dans sphynx_update
    """
    pass

class ManipulationError(Exception):
    """
    Pb gnrique de manipulation de la base sphynx
    """
    pass

class NoneException(Exception):
    """
    Valeur vide utilis dans les fonctions helpers
    """
    pass

class EtabError(Exception):
    """
    Erreur dans les manipulations etablissements
    """
    pass

class ReseauSphynxError(Exception):
    """
    Erreur dans la manipulation ct acadmique
    """
    pass

class ConnexionError(Exception):
    """
    Pb li  une connexion dans un etab 
    """
    pass
