# -*- coding: iso-8859-1 -*-


def doctest_create_sphynx():
    """
    Il faut que le fichier xml ait au moins un etab prsent pour que ce test passe
  
    >>> from tunnel.entities import *
    >>> s = Sphynx("sphynx.xml")
    """

def doctest_save_sphynx():
    """
    >>> from tunnel.entities import *
    >>> s = Sphynx("sphynx.xml")
    >>> s.save_to_file("test.xml")
    """

def doctest_create_acad_etab():
    """
    Il faut que le fichier xml ait au moins un etab prsent pour que ce test passe
  
    >>> from tunnel.entities import *
    >>> s = Sphynx("sphynx.xml")
    >>> isinstance(s.etabs, list)
    True
    >>> isinstance(s.etabs[0], Etab)
    True
    >>> isinstance(s.acad, Acad)
    True
    """

def doctest_etab():
    """
    >>> from tunnel.entities import *
    >>> s = Sphynx("sphynx.xml")
    >>> isinstance(s.etabs, list)
    True
    >>> etab = s.etabs[0]
    >>> etab.get_id() == u'EZTab'
    True
    >>>
    """


def doctest_get_etab_list():
    """
    Rcupre la liste des tablissements
    
    >>> from tunnel.entities import *
    >>> s = Sphynx("sphynx.xml")
    >>> s.get_etab_list() == [u'EZTab']
    True
    """
    

def test_suite():
    import sys
    import doctest  
    return doctest.DocTestSuite(sys.modules[__name__])

if __name__ == "__main__":
    import unittest
    unittest.main(defaultTest='test_suite')
