#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

"""
Multi-tunnels doctest suite 
environnement d'execution :
export PYTHONPATH=PYTHONPATH:'/home/gwen/home/projets/sphynx-vpn'
"""

# from os import system as run
# cmd = "export PYTHONPATH=PYTHONPATH:'/home/gwen/home/projets/sphynx-vpn'"
# run(cmd)

def test_suite():
    suite = unittest.TestSuite()

# tests sur lmx : ne fait pas partie des tests multi-tunnels  proprement parler
#     import helpers
#     suite.addTest(helpers.test_suite())

    import doctest_entities_sphynx
    suite.addTest(doctest_entities_sphynx.test_suite())

    import doctest_entities_etab
    suite.addTest(doctest_entities_etab.test_suite())


    import doctest_entities_acad
    suite.addTest(doctest_entities_acad.test_suite())

    return suite

if __name__ == '__main__':
    import unittest
    unittest.main(defaultTest='test_suite')
