<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output encoding="UTF-8" omit-xml-declaration="no" indent="yes" method="xml" doctype-public="-//Eole//DTD eole-sphynx V1.0//FR" doctype-system="/usr/share/eole/sphynx-vpn/xml/sphynx.dtd"/>
<!--
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: supprime_etab.xsl,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/xsl/supprime_etab.xsl,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

-->
<!--

=pod

=head1 NOM


supprime_etab.xsl


=cut

-->

<!--

=pod

=head1 DESCRIPTION



feuille de style de suppression d'un tablissement du fichier xml/sphynx.xml



=cut

-->

<!--

=pod

=head1 SYNOPSIS



processus de transformation xsl :

paramtre : id 

feuille de style : xsl/supprime_etab.xsl 

source : xml/sphynx.xml

destination : tmp/sphynx.tmp



=cut

-->



<!--

=pod

=head1 PARAMETRES GLOBAUX




=cut

-->

<!--

=pod

=over 

=cut

-->




<!--

=pod

=item I<$id>

Numro identifiant de l'tablissement

=cut

-->
<xsl:param name="id" />




<!--

=pod

=back

=cut

-->





<!--

=pod

=head1 TEMPLATES




=cut

-->

<!--

=pod

=over 

=cut

-->



<!--

=pod

=item I</>

template racine

=cut

-->
<xsl:template match='/' >
 <xsl:message>update du fichier sphynx ...</xsl:message>
 <xsl:call-template name="test_etab">
   <xsl:with-param name="id" select="$id"/>
 </xsl:call-template>

</xsl:template>

<!--

=pod

=item I<sphynx>

copie de l'lment racine sphynx et lancement du parsing de l'arbre xml

=cut

-->
<xsl:template match='sphynx' >
<xsl:copy>
<xsl:copy-of select="@*"/>
  <xsl:apply-templates select="academie"/>
  <xsl:apply-templates select="etablissement">
    <xsl:with-param name="id" select="$id"/>
  </xsl:apply-templates>
</xsl:copy>

</xsl:template>

<!--

=pod

=item I<academie>

recopie de l'lment acadmie

=cut

-->
<xsl:template match='academie' >
<xsl:copy>
<xsl:copy-of select="@*"/>
  <xsl:copy-of select="node()"/>
</xsl:copy>

</xsl:template>

<!--

=pod

=item I<etablissement>

Parsing des lts tablissements et suppression de l'tab slectionn

=cut

-->
<xsl:template match='etablissement' >
<!-- Numro identifiant de l'tablissement -->
<xsl:param name="id"/>

<xsl:choose>  
<xsl:when test="@id=$id">
 <!-- ne fait rien : c'est l'tablissement  supprimer... -->
</xsl:when>
<xsl:otherwise>
   <xsl:copy>
   <xsl:copy-of select="@*"/>
   <xsl:copy-of select="node()"/>
   </xsl:copy>
</xsl:otherwise>
</xsl:choose>

</xsl:template>




<!--

=pod

=back

=cut

-->
<!--

=pod

=head1 TEMPLATES NOMMES




=cut

-->

<!--

=pod

=over 

=cut

-->



<!--

=pod

=item I<test_etab>

Test d'existence de l'tablissement  supprimer

=cut

-->
<xsl:template name='test_etab'>
<!-- Numro identifiant de l'tablissement -->
<xsl:param name="id"/>

<xsl:choose>  
<xsl:when test="$id = //*/@id">

 <xsl:apply-templates select='sphynx'>
   <xsl:with-param name ="id" select="$id"/>
 </xsl:apply-templates>

</xsl:when>
<xsl:otherwise>

 <xsl:message>
    ATTENTION ! l'etablissement que vous essayez de supprimer n'existe pas.
    operation non effectuee...
 </xsl:message>
 <!-- on recopie le fichier tel quel, il n'y a pas de changement -->
 <xsl:copy-of select="/"/>
</xsl:otherwise>
</xsl:choose>

</xsl:template>





<!--

=pod

=back

=cut

-->



<!--

=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut

-->



</xsl:stylesheet>
