#!/bin/bash
#################################
# Gestions des connexions VPN
# Mode Dialog
# LB 01/2003 Eole Dijon
# $Id: admin-sphynx.sh,v 1.3 2005/01/13 15:53:09 sam Exp $
#################################
# Initialisation des variables
# Avec verification dans l'Environnement 
RepEole=${RepEole="/usr/share/eole"}
export PATH=$PATH:/sbin

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
export ECHO=InfoBox2
fi
#service gpm status >/dev/null
#if [ $? -ne 0 ]
#then
#	NOMOUSE="--nomouse"
	NOMOUSE=""
#fi

TitreGen="Eole  -  Gestion des connexion RVP "
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

Question()
{
InputBox "$1" Rep
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
}

QuestAmon() {
Question "Identifiant Amon" "" $IdAmon
IdAmon=$Rep
#echo "Liste de connexions sur $IdAmon" >$TmpFile
# $RepSphynx/tunnel/tunnel --etab-connexion-list $Rep >> $TmpFile
#if [ $? -ne 0 ]
#then
#InfoBox "Amon $IdAmon non trouvé";
#sleep 1
#continue
#fi
}

FileCpt="$Tmp/SphynX$TmpSuff"
touch $FileCpt


Rep=""
while [ 1 ]
do
MenuBox "Votre Choix"  Rep "1 activer_une_connexion 2 desactiver_une_connexion 3 recharger_une_connexion 4 etat_connexion 5 suppression_connexion Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
case $Rep in
	1) 
	QuestAmon
	$RepEole/gererConnexions.sh -a $IdAmon >/dev/null 2>&1 &
	OkBox "Activation connexion $IdAmon en cours ..."
	;;
	2) 
	QuestAmon
	$RepEole/gererConnexions.sh -d $IdAmon >/dev/null 2>&1 &
	OkBox "Desactivation connexion $IdAmon en cours ..."
	;;
	3) 
	QuestAmon
	$RepEole/gererConnexions.sh -r $IdAmon >/dev/null 2>&1 &
	OkBox "Redemarrage connexion $IdAmon en cours ..."
	;;
	4) 
	QuestAmon
	$RepEole/gererConnexions.sh -e $IdAmon > $FileCpt 2>&1
	dialog $NOMOUSE --title "etat connexion $IdAmon"  --exit-label "Quitter" --textbox $FileCpt 0 0
	;;
	5) 
	QuestAmon
	$RepEole/gererConnexions.sh -s $IdAmon >/dev/null 2>&1 &
	OkBox "suppression connexion $IdAmon en cours ..."
	;;
	Q)
	exit 0
	;;

esac
done
