#!/bin/bash
#####################################
# Manage du concentrateur VPN
# Mode Dialog
# Avec ou sans PKI
# MultiTunnel (12/2004)
# LB 01/2003 Eole Dijon
#######################################
# Initialisation des variables
# Avec verification dans l'Environnement
RepEole=${RepEole="/usr/share/eole"}
RepIpsec=${RepIpsec=/etc/freeswan}
RepSphynx=${RepSphynx=/usr/share/eole/sphynx-vpn}
LgCle=${LgCle=2048}
PKI=0
NBlignes=10

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
export ECHO=InfoBox2
fi
#service gpm status >/dev/null
#if [ $? -ne 0 ]
#then
	#NOMOUSE="--nomouse"
	NOMOUSE=""
#fi

TitreGen="Eole  -  Gestion des Amons "
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

Question()
{
InputBox "$1" Rep $3
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
continue
fi
}
Questions()
{
InputBox "$1" Rep "$3"
if [ "$Rep" == "CANCEL" ] 
then
Zecho "Abandon"	
continue
fi
if [ -n "$Rep" ]
then
echo "'$2':'$Rep' ,            " >> $FileCfg
fi
}

QuestAmon() {
Question "Identifiant Amon" "" $IdAmon
IdAmon=$Rep
echo "Liste de connexions sur $IdAmon" >$TmpFile
 $RepSphynx/tunnel/tunnel --etab-connexion-list $Rep >> $TmpFile
if [ $? -ne 0 ]
then
InfoBox "Amon $IdAmon non trouvé";
sleep 1
continue
fi
}
#OkBox "Manage Base Sphynx\n\nPour Vous Deplacer sur l'Ecran\nUtiliser votre Souris\nOu la touche tabulation.\n\n   Vous pouvez ABANDONNER \nen pressant la touche <Echap>"
#if [ "$?" -eq 255 ]
#then
	#exit 1
#fi
	
FileCfg="$Tmp/Sphynx$TmpSuff"
TmpFile="$Tmp/Tmp$TmpSuff"
touch $FileCfg
touch $TmpFile


Rep=""
while [ 1 ]
do
MenuBox "Votre Choix"  Rep "1 Liste_Amons 2 Ajouter_Amon 3 Effacer_Amon 4 Lister_connexions 5 Ajouter_connexion  6 Supprimer_connexion 7 Lister_translations  8 Ajouter_translation 9 Supprimer_translation  10 modifier_version_Amon 11 Ajouter_connexion_pour_tous 12 Remplacement_Certif Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
case $Rep in
	1) 
	#Liste
	$RepSphynx/sphynx -r > $TmpFile
	dialog $NOMOUSE --title "Liste "  --exit-label "Retour" --textbox $TmpFile 0 0
	;;
	2) 
	# Ajout Amon
	/usr/share/eole/init-amon.sh
	sleep 1
	;;
	
	3) 
	# Supp Amon
	Question "Identifiant "  
	Id=$Rep;
	QuestionBox "Effacer  $Id" Rep
	if [ $Rep ==  "OUI" ]
	then
		Liste=` $RepSphynx/tunnel/tunnel --etab-connexion-list $Id| awk '{print $1}'`
		OkBox "`echo  Supression $Id`"
		for Connex in $Liste
        	do
			/usr/sbin/ipsec auto --delete C-${Connex}-sphynx >/dev/null 
      		done
      		$RepSphynx/sphynx -s "$Id" -t 
		cp -f $RepSphynx/ipsec/ipsec.conf_Sphynx $RepIpsec/ipsec.conf
        	rm -f $RepIpsec/ipsec_updown_$Rep-sphynx
        fi
	;;
	
	4)
	# Liste Connexion
	QuestAmon
        dialog $NOMOUSE --title "Resultat"  --exit-label "Continuer" --textbox $TmpFile 0 0
        ;;
        
	5)
	# Ajout Connexion
	echo "{"> $FileCfg
	QuestAmon $IdAmon
        Questions "Nom de la connexion" "nom"	
        Questions "Reseau Amon cible pour ce VPN  " "leftsubnet"	
        Questions "Netmask de ce reseau " "leftsubnet_masque"	
        #Questions "Ip de l'interface externe Amon (ou rien)" "left"	
        #Questions "Ip du routeur externe Amon (ou rien)" "leftnexthop"	
        Questions "Adresse de translation de l'Amon dans ce reseau" "left_nat"	
	echo "}">> $FileCfg
	dialog $NOMOUSE --title " <ESC> pour annuler"  --exit-label "Accepter" --textbox $FileCfg 0 0
	if [ "$?" -eq 255 ]
        then
	continue
        fi
	Liste=` $RepSphynx/tunnel/tunnel --sphynx-reseau-list| sed 's/ /_/g; s/_/ /'`    
        MenuBox "Choix du reseau Cible Sphynx"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	OkBox "`echo  Ajout connexion sur $IdAmon vers $Rep; $RepSphynx/tunnel/tunnel  --etab-connexion-add $IdAmon --reseau-sphynx $Rep $FileCfg  2>&1`"
	;;

	6)
	# Supp Connexion
	QuestAmon
	#Question "Identifiant Connexion "  
	Liste=` cat $TmpFile | sed 's/ /_/g; s/_/ /'`    
        MenuBox "Votre Choix"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	IdConnex=$Rep
	QuestionBox "Effacer  $IdConnex" Rep
	if [ $Rep ==  "OUI" ]
	then
	OkBox "` echo Suppression de la connexion $IdConnex sur $IdAmon;$RepSphynx/tunnel/tunnel --etab-connexion-delete  $IdAmon --connexion $IdConnex 2>&1; /usr/sbin/ipsec auto --delete C-${IdConnex}-sphynx >/dev/null 2>&1` " 
        fi
	;;

	7)
	#Liste translations
	QuestAmon
	Liste=` tail +2l  $TmpFile | sed 's/ /_/g; s/_/ /'`    
        MenuBox "Votre Choix"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	IdConnex=$Rep
 	$RepSphynx/tunnel/tunnel --etab-connexion-translation-list $IdAmon --connexion $IdConnex 2>&1 > $TmpFile
        dialog $NOMOUSE --title "Resultat"  --exit-label "Continuer" --textbox $TmpFile 0 0
	;;

	8)
	# Ajout Translation
	QuestAmon
	Liste=` tail +2l  $TmpFile | sed 's/ /_/g; s/_/ /'`    
        MenuBox "Votre Choix"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	IdConnex=$Rep
	echo "{"> $FileCfg
        Questions "Source de la translation " "source"	
        Questions "Destination de la translation " "destination"	
	echo "}">> $FileCfg
	dialog $NOMOUSE --title " <ESC> pour annuler"  --exit-label "Accepter" --textbox $FileCfg 0 0
	if [ "$?" -eq 255 ]
        then
	continue 
        fi
	 OkBox "` echo Ajout translation sur la connexion $Rep de $IdAmon;$RepSphynx/tunnel/tunnel --etab-connexion-translation-add $IdAmon --connexion $IdConnex  $FileCfg   2>&1` "
	;;

	9)
	# Supp Translation
	QuestAmon
	Liste=` tail +2l  $TmpFile | sed 's/ /_/g; s/_/ /'`    
        MenuBox "Votre Choix"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	IdConnex=$Rep
	echo "{"> $FileCfg
        Questions "Source de la translation " "source"	
        Questions "Destination de la translation " "destination"	
	echo "}">> $FileCfg
	OkBox "` echo 'Suppression de la translation ' ;$RepSphynx/tunnel/tunnel  --etab-connexion-translation-delete  $IdAmon --connexion $IdConnex $FileCfg ` "
	;;
	10)
	QuestAmon
	Version=` $RepSphynx/tunnel/tunnel --etab-get-version $IdAmon`
		OkBox "L'amon $IdAmon est en version $Version"
		MenuBox "Changement de la version de l'Amon" Rep "1 amon-1.5 2 amon-2.x"
  	                if [ "$Rep" == "CANCEL" ]
  	                then
  	                        echo "Abandon"
  	                        exit 1
  	                fi
  	                case $Rep in
  	                        1) version=1.5
  	                        ;;
  	                        2) version=2.0
  	                        ;;
  	                esac
  	      OkBox "` echo "Changement de la version de l'amon de $Version vers $version";$RepSphynx/tunnel/tunnel --etab-set-version $IdAmon --etab-version $version`"
	;;
	11)
	# Ajout Connexion  pour tous les amons de la base
	OkBox "`echo  Ajout d\'une connexions pour tous les amons`"
	if [ "$?" -eq 255 ]
        then
	continue
        fi
	Liste=` $RepSphynx/tunnel/tunnel --sphynx-reseau-list| sed 's/ /_/g; s/_/ /'`    
        MenuBox "Choix du reseau Cible Sphynx"  Rep "$Liste"
	if [ "$Rep" == "CANCEL" -o "$Rep" == "ESC" ] 
	then
        continue	
	fi
	OkBox "`echo  Ajout connexions de tous les amons vers $Rep; $RepSphynx/tunnel/connexions_from_reseau -a $Rep 2>&1`"
	;;
	12)
	QuestAmon
	OkBox "`echo  prise en compte du nouveau certificat pour $IdAmon`"
	if [ "$?" -eq 255 ]
        then
	continue
        fi
	Cn=$idAmon
	## fenetre selection repertoire contenant le pkcs7 et la clef privee
	pkcs=`dialog $NOMOUSE --backtitle "Selection repertoire contenant fichiers pkcs7 + clef" --title "SELECTION REPERTOIRE" --stdout --fselect /home/data/ 0 0 `
	if [ $? -eq 0 ]
	then
		RepConfIpsec=$pkcs
	else
		exit 1
	fi

	if [ ! -e $RepConfIpsec/$Cn.pkcs7 ] && {
		        [ ! -e $RepConfIpsec/certif.pkcs7 ]
	}
	then
		Zecho "Fichier pkcs7 non trouvé\nAu revoir! "
		exit 1
	fi
			
	# Procedure d'extraction des certifs pkcs7 -> x509
	Zecho "Extraction des Certificats"
	if [ -e $RepConfIpsec/$Cn.pkcs7 ]
	then
		FicPKCS7="$Cn.pkcs7"
	else
	        FicPKCS7="certif.pkcs7"
	fi
			
	openssl pkcs7 -in $RepConfIpsec/$FicPKCS7 -print_certs | \
	/usr/share/eole/ParsePEM.py   -o $RepConfIpsec >/dev/null 2>&1
	if [ $? -ne 0 ]
	then
		Zecho "Problème d'extraction du certificat"
		exit 1
	fi
	if [ ! -e $RepConfIpsec/${Cn}.pem ]
	then
		Zecho "Fichier ${Cn}.pem non trouvé "
		exit 1
	fi
	;;
	Q)
	exit 0
	;;

esac
done

