package Certificat ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: Certificat.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/Certificat.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)


# prsentation du module



=pod

=head1 NOM



Certificat



=cut




=pod

=head1 DESCRIPTION



Si le certificat existe, 
rcupration du subject avec openssl dans un certificat.



=cut




=pod

=head1 SYNOPSIS



Certificat::certif( [chemin]/[certificat.pem] ) ;



=cut




# fin prsentation du module
# dclaration des variables utilises

=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut





=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut




=pod

=item I<$certificat>

nom long du certificat

=cut

my $certificat ;




=pod

=back

=cut

# fin dclaration des variables
# fonctions 

=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<certif>

rcupration du certificat

=cut

sub certif
{



# nous rcuprons le nom long du certificat
my $certificat = shift ;

# nous testons si le mode est bien le mode pki 
if ( Mode::get_mode() eq "pki" ) {		

    # nous testons l'existence du certificat qui nous a t renseign
    
    unless ( -e $certificat ) {
    
        print "ATTENTION !\n";
        print "Le certificat est necessaire au lancement du sphynx en mode PKI.\n" ;
        print " Vous devez recuperer un certificat avant de relancer le sphynx.\n" ;
        
        exit 1 ;
        
    }
    
    # nous rcuprons l'identifiant de la passerelle par extraction avec open_ssl
    # my $subject = "subject= /C=fr/O=gouv/OU=education/OU=ac-dijon/CN=sphynx" ;
     my $subject = `openssl x509 -in $certificat -subject -noout` ;
	
    # cela renvoie une ligne contenant le subnet.
    
    # enlever le prfixe subject=
    $subject =~ s/subject=//g ;
    # purger les espaces
    $subject =~ s/ //g ;

    # le subjet du certificat est enfin bon

    return $subject ;

}


}



=pod

=back

=cut




=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package Certificat ;
#
use strict ;
#




