package IpsecSecretPKISphynx ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.2 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: IpsecSecretPKISphynx.pm,v 1.2 2005/01/24 14:54:26 eole Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/IpsecSecretPKISphynx.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)





=pod

=head1 NOM



IpsecSecretPKISphynx



=cut




=pod

=head1 DESCRIPTION



Utilitaire XPath permettant de rcuprer des donnes tablissement suivant son identifiant en mode PKI.



=cut




=pod

=head1 SYNOPSIS



use IpsecSecretPKI ;
IpsecSecretPKISphynx::serialisation (
		  'xml' => "fichier.xml"
		  , 'fichier' => "destination.txt"
		  ) ;



=cut




=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<XML::LibXML>

=cut

use XML::LibXML ;



=pod

=back



=cut




=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut





=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut




=pod

=item I<$xp>

requte XPath

=cut

my $xp ;




=pod

=back

=cut


=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<requete_xpath>

fonction permettant de rcuprer la valeur de la machine

=cut

sub requete_xpath
{


my %params = @_ ;

# cration de l'objet de requte

$xp = XML::LibXML->new() ;
my $file = $params{ 'xml' } ;
my $tree = $xp->parse_file( $file ) ;

# formatage de l'expression XPath
my $path_nom = "/sphynx/\@nom" ;
my $nom = $tree->findvalue ( $path_nom ) ;

return ( $nom ) ;



}

=pod

=item I<serialisation>

rcupre les donnes et enregistre la phrase de conf dans un fichier

=cut

sub serialisation
{



my %params = @_ ;

my ( $nom ) = IpsecSecretPKISphynx::requete_xpath(
                    'xml' => $params{ 'xml' }
		  ) ;

open ( FILE_HANDLE, ">$params{ 'fichier' }" ) ;
print FILE_HANDLE "#DEB:".$nom."\n" ;
print FILE_HANDLE ": RSA /etc/freeswan/ipsec.d/private/privkey.pem\n" ;
print FILE_HANDLE "#FIN:".$nom."\n" ;
close ( FILE_HANDLE ) ;



}




=pod

=back

=cut


eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package IpsecSecretPKISphynx ;
#
use strict ;
#




