package Mode ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: Mode.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/Mode.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)


# prsentation du module



=pod

=head1 NOM



Mode



=cut




=pod

=head1 DESCRIPTION



Cration et rcupration du mode de fonctionnement du sphinx (mode normal ou mode pki).



=cut




=pod

=head1 SYNOPSIS



TODO



=cut




# fin prsentation du module
# dclaration des prrequis

=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<Template>

=cut

use Template ;



=pod

=item I<AppConfig qw(:expand :argcount)>

=cut

use AppConfig qw(:expand :argcount) ;



=pod

=back



=cut



# fin dclaration des prrequis
# dclaration des variables utilises

=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut





=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut




=pod

=item I<$mode>

mode de l'application (normal ou pki)

=cut

my $mode ;



=pod

=item I<$config>

recuperation de la config

=cut

my $config ;




=pod

=back

=cut

# fin dclaration des variables
# fonctions 

=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<get_mode>

Rcupration du mode de fonctionnement sphynx

=cut

sub get_mode
{



$config = AppConfig->new( 'mode' => { ARGCOUNT => 1 } ) ;

# rcupration des donnes de configuration (fichiers .cfg)
 
$config->file('/usr/share/eole/sphynx-vpn/cfg/sphynx.cfg');

return $config->mode();



}


=pod

=item I<set_mode>

Inscription du mode de fonctionnement dans un fichier de configuration

=cut

sub set_mode
{



    $mode = shift ;

# cration du fichier de configuration 

my $tt_cfg = Template->new({
	RELATIVE => 1,
        ABSOLUTE => 1,
    });

my $modele_cfg = '/usr/share/eole/sphynx-vpn/tt2/sphynxrc.tt2' ;

my %data = ( 'mode' => $mode ) ;

my $sortie_cfg = '/usr/share/eole/sphynx-vpn/cfg/sphynx.cfg' ;

$tt_cfg->process( $modele_cfg , \%data, $sortie_cfg )
        || die $tt_cfg->error;



}



=pod

=back

=cut




=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut






eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package Mode ;
#
use strict ;
#

set_mode( "normal" ) ;
print get_mode()."\n" ;


