package XSLparam ;
#
use strict ;
#
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: XSLparam.pm,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/perl/XSLparam.pm,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)



# hrite de la classe XSL : 
our  @ISA  = ( 'XSL' ) ;




=pod

=head1 NOM



XSLparam



=cut




=pod

=head1 DESCRIPTION



Wrapper simple de la libXSLT de Daniel Veillard.



=cut




=pod

=head1 SYNOPSIS



use XSLparam ;

my $xsl = XSL->new(

		  'fichier_xml' => "./fichier.xml"

		, 'fichier_xsl' => "./fichier.xsl"

		, 'fichier_dest' => "./fichier.txt"

                , 'id' => "identifiant_etablissement"

		);

$xsl->transforme() ;




=cut





=pod

=head1 PREREQUIS



=pod

=over 

=cut



=pod

=item I<XML::LibXML>

=cut

use XML::LibXML ;



=pod

=item I<XML::LibXSLT>

=cut

use XML::LibXSLT ;



=pod

=item I<XSL>

=cut

use XSL ;



=pod

=back



=cut




=pod

=head1 VARIABLES GLOBALES




=cut



=pod

=over 

=cut





=pod

=back

=cut




=pod

=head1 VARIABLES LOCALES




=cut



=pod

=over 

=cut




=pod

=item I<$parser>

objet libxml

=cut

my $parser ;



=pod

=item I<$xslt>

objet libxml

=cut

my $xslt ;



=pod

=item I<$source>

parsing libxml du fichier xml source

=cut

my $source ;



=pod

=item I<$style_doc>

parsing libxml du fichier xsl

=cut

my $style_doc ;



=pod

=item I<$stylesheet>

parsing libxsl du fichier xml

=cut

my $stylesheet ;



=pod

=item I<$results>

arborescence rsultat de la transformation

=cut

my $results ;




=pod

=back

=cut

# fin dclaration des variables
# fonctions 

=pod

=head1 FONCTIONS




=cut



=pod

=over 

=cut




=pod

=item I<new>

Constructeur de la classe XSL

=cut

sub new
{



        my ( $class )  = shift;

        my ( %params ) = @_;
    
        my ( $self ) = XSL->new( @_ ) ;

        $self->{'id'} = $params{'id'} ;

        return ( bless ( $self, $class ) ) ;



}


=pod

=item I<transforme>

Transformation d'un fichier xml  l'aide d'une feuille de style xslt. ( surcharge la mthode du mme nom de la classe XSl).

=cut

sub transforme
{



    my($self)  = shift;

     $parser = XML::LibXML->new() ;
     $xslt = XML::LibXSLT->new() ;
    
     $source = $parser->parse_file( $self->{'fichier_xml'} ) ;
     $style_doc = $parser->parse_file( $self->{'fichier_xsl'} ) ;
    
     $stylesheet = $xslt->parse_stylesheet( $style_doc ) ;

#   my $results = $stylesheet->transform( $source, %parametres ) ;
    my %parametre = ( 'id' => $self->{'id'} ) ;
     $results = $stylesheet->transform( $source,  XML::LibXSLT::xpath_to_string( %parametre ) ) ;

    # my $results = $stylesheet->transform( $source ) ;
    
    $stylesheet->output_file( $results, $self->{'fichier_dest'} ) ;



}





=pod

=head1 TODO



Implmenter la gestion des paramtres.



=cut





=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut








=pod

=back

=cut


eval(join '',<main::DATA>) || die $@ unless caller;
1;

__END__

#################### TESTS #########################
package XSLparam ;
#
use strict ;
#

# TODO


