<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output encoding="UTF-8" omit-xml-declaration="no" indent="yes" method="xml" doctype-public="-//Eole//DTD eole-sphynx V1.0//FR" doctype-system="/usr/share/eole/sphynx-vpn/xml/sphynx.dtd"/>
<!--
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: ajout_etab.xsl,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/xsl/ajout_etab.xsl,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

-->
<!--

=pod

=head1 NOM


ajout_etab.xsl


=cut

-->

<!--

=pod

=head1 DESCRIPTION



feuille de style de gnration du fichier sphynx : 

- ajout d'un tablissement,

- fusion des fichiers sphynx.xml et etab.tmp.



=cut

-->

<!--

=pod

=head1 SYNOPSIS



processus de transformation

feuille de style :xsl/ajout_etab.xsl

source xml : xml/sphynx.xml

destination : tmp/etab.tmp



=cut

-->







<!--

=pod

=head1 TEMPLATES




=cut

-->

<!--

=pod

=over 

=cut

-->



<!--

=pod

=item I</>

template racine

=cut

-->
<xsl:template match='/' >
  <xsl:message>update du fichier sphynx ...</xsl:message>

  <xsl:apply-templates select='sphynx'/>


</xsl:template>

<!--

=pod

=item I<sphynx>

parsing de sphynx.xml et rcupration des donnes de l'tablissement

=cut

-->
<xsl:template match='sphynx' >
<xsl:copy>
  <xsl:copy-of select="@*"/>
    
  <!-- copie du contenu acadmique + tablissements existants --> 
  <xsl:copy-of select="node()"/>

  <xsl:text>&#xA;</xsl:text>

  <!-- copie du contenu du fichier tablissement -->

  <xsl:call-template name="etab">
  <!-- paramtre nom de fichier de l'etab -->
  <xsl:with-param name="fichier_etab" select="document('/usr/share/eole/sphynx-vpn/tmp/etab.tmp')"/>
  </xsl:call-template>

</xsl:copy>

</xsl:template>




<!--

=pod

=back

=cut

-->
<!--

=pod

=head1 TEMPLATES NOMMES




=cut

-->

<!--

=pod

=over 

=cut

-->



<!--

=pod

=item I<etab>

Test d'existence de l'tablissement dans le fichier sphynx

=cut

-->
<xsl:template name='etab'>
<!-- fichier xml de l'tablissement -->
<xsl:param name="fichier_etab"/>

  <xsl:choose>  
  <xsl:when test="$fichier_etab/etablissement/@id = //*/@id">

   <xsl:message>
     ATTENTION ! Le numero identifiant
     que vous essayez de saisir existe deja - 
     operation non effectuee...
   </xsl:message>

  </xsl:when>
 <xsl:otherwise>
        
  <xsl:copy-of select="$fichier_etab"/>
  <xsl:text>&#xA;</xsl:text>
        
 </xsl:otherwise>
  </xsl:choose>

</xsl:template>





<!--

=pod

=back

=cut

-->



<!--

=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut

-->



</xsl:stylesheet>
