<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output encoding="UTF-8" omit-xml-declaration="yes" indent="no" method="text"  />
<!--
#    Conception :
#    Eole (http://eole.orion.education.fr)

#    Copyright (C) 2002

#    Ce code a t dvelopp par
#    Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

#    distribu sous la licence GPL-2 

#    Version $Revision: 1.1.1.1 $

#    En attendant une traduction officielle de la GPL, la notice de 
#    copyright demeure en anglais.

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    $Id: rapportEtab.xsl,v 1.1.1.1 2004/02/09 12:41:49 gwen Exp $
#    $Source: /home/cvs/sphynx/sphynx-vpn/xsl/rapportEtab.xsl,v $


#    Se reporter  la documentation envoye avec le programme pour la notice.
#    Si elle manquait, envoyer un email  Gwenal Rmond (gwenael.remond@free.fr)
#    Samuel Morin (samuel.morin@ac-dijon.fr)

-->
<!--

=pod

=head1 NOM


rapportEtab.xsl


=cut

-->

<!--

=pod

=head1 DESCRIPTION



Gnration d'une feuille de rapport sur un tablissement.



=cut

-->

<!--

=pod

=head1 SYNOPSIS



./sphynx -r -n[numero_identifiant]
xsltproc rapportEtab.xsl sphynx.xml 
C'est redirig sur la sortie courante. 



=cut

-->



<!--

=pod

=head1 PARAMETRES GLOBAUX




=cut

-->

<!--

=pod

=over 

=cut

-->




<!--

=pod

=item I<$id>

numro identifiant de l'tablissement

=cut

-->
<xsl:param name="id" />




<!--

=pod

=back

=cut

-->






<!--

=pod

=head1 TEMPLATES




=cut

-->

<!--

=pod

=over 

=cut

-->



<!--

=pod

=item I</>

Template racine

=cut

-->
<xsl:template match='/' >
    <xsl:apply-templates select="sphynx/academie"/>
    <xsl:apply-templates select='sphynx/etablissement[@id=$id]'/>

</xsl:template>

<!--

=pod

=item I<academie>

Template vide

=cut

-->
<xsl:template match='academie' >
<!-- ne fait rien -->

</xsl:template>

<!--

=pod

=item I<etablissement>

Rapport concernant un tablissement

=cut

-->
<xsl:template match='etablissement' >
DESCRIPTION de l'etablissement : <xsl:value-of select="@nom"/>
machine : <xsl:value-of select="@machine"/>
<xsl:apply-templates select="connexion"/>

</xsl:template>

<!--

=pod

=item I<connexion>

Rapport concernant les connexions

=cut

-->
<xsl:template match='connexion' >
-----------
Nom de la connexion : <xsl:value-of select="@nom"/>

        left        : <xsl:value-of select="left"/>
        nat         : <xsl:value-of select="left/@nat"/>
        leftsubnet  : <xsl:value-of select="leftsubnet"/>
        leftnexthop : <xsl:value-of select="leftnexthop"/> 
-----------
<xsl:if test="translation">
Bilan des translations : 
<xsl:apply-templates select="translation"/>
</xsl:if>

</xsl:template>

<!--

=pod

=item I<translation>

Rapport concernant les translations

=cut

-->
<xsl:template match='translation' >
source : <xsl:value-of select="@source"/>, destination : <xsl:value-of select="@destination"/>
<xsl:text>&#xA;</xsl:text>


</xsl:template>




<!--

=pod

=back

=cut

-->



<!--

=pod

=head1 VOIR AUSSI


Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr



=cut

-->



</xsl:stylesheet>
